from os import sep
from app import app, isAnAdmin
from pyrogram import filters
from pyrogram.enums.chat_action import ChatAction
from modules.utils import configGet, should_quote

# Applications command =========================================================================================================
@app.on_message(~ filters.scheduled & filters.command(["applications"], prefixes=["/"]))
async def cmd_applications(app, msg):

    if (await isAnAdmin(msg.from_user.id)) or (msg.chat.id == configGet("admin_group")):
        await app.send_chat_action(msg.chat.id, ChatAction.UPLOAD_DOCUMENT)
        await msg.reply_document(document=f"{configGet('data', 'locations')}{sep}applications.json", quote=should_quote(msg))
# ==============================================================================================================================