from os import sep
from app import app, isAnAdmin
from pyrogram import filters
from modules.utils import jsonLoad, jsonSave, configGet, locale

# Warn command =================================================================================================================
@app.on_message(~ filters.scheduled & filters.command(["warn"], prefixes=["/"]))
async def cmd_warn(app, msg):

    if msg.chat.id == configGet("destination_group"):
        if msg.reply_to_message_id != None:
            if isAnAdmin(msg.from_user.id):
                warnings = jsonLoad(f"{configGet('data', 'locations')}{sep}warnings.json")
                if str(msg.reply_to_message.from_user.id) not in warnings:
                    warnings[str(msg.reply_to_message.from_user.id)] = 1
                else:
                    warnings[str(msg.reply_to_message.from_user.id)] += 1
                jsonSave(warnings, f"{configGet('data', 'locations')}{sep}warnings.json")
                await msg.reply_text(locale("warned", "message").format(msg.reply_to_message.from_user.first_name, msg.reply_to_message.from_user.id))
# ==============================================================================================================================